<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: Nucleus</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">Nucleus</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/models/nucleus_rb.html">
                app/models/nucleus.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                Object
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000068">create</a>&nbsp;&nbsp;
      <a href="#M000072">destroy</a>&nbsp;&nbsp;
      <a href="#M000069">reset_pass</a>&nbsp;&nbsp;
      <a href="#M000070">start</a>&nbsp;&nbsp;
      <a href="#M000071">stop</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->
    <div id="includes">
      <h3 class="section-bar">Included Modules</h3>

      <div id="includes-list">
        <span class="include-name">Reloadable</span>
      </div>
    </div>

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000068" class="method-detail">
        <a name="M000068"></a>

        <div class="method-heading">
          <a href="#M000068" class="method-signature">
          <span class="method-name">create</span><span class="method-args">(template_path, veid)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000068-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000068-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/nucleus.rb, line 6</span>
 6:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">create</span>(<span class="ruby-identifier">template_path</span>, <span class="ruby-identifier">veid</span>)
 7:     
 8:     <span class="ruby-identifier">job_key</span> = 
 9:       <span class="ruby-constant">MiddleMan</span>.<span class="ruby-identifier">new_worker</span>(<span class="ruby-identifier">:class</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:create_worker</span>, 
10:                            <span class="ruby-identifier">:args</span> =<span class="ruby-operator">&gt;</span> {<span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">veid</span>, <span class="ruby-identifier">:path</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">template_path</span>})
11:   
12:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">job_key</span>
13:       
14:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000072" class="method-detail">
        <a name="M000072"></a>

        <div class="method-heading">
          <a href="#M000072" class="method-signature">
          <span class="method-name">destroy</span><span class="method-args">(veid)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000072-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000072-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/nucleus.rb, line 48</span>
48:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">destroy</span>(<span class="ruby-identifier">veid</span>)
49:   
50:     <span class="ruby-identifier">job_key</span> =
51:       <span class="ruby-constant">MiddleMan</span>.<span class="ruby-identifier">new_worker</span>(<span class="ruby-identifier">:class</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:destroy_worker</span>,
52:                            <span class="ruby-identifier">:args</span> =<span class="ruby-operator">&gt;</span> {<span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">veid</span>})
53:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">job_key</span>
54: 
55:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000069" class="method-detail">
        <a name="M000069"></a>

        <div class="method-heading">
          <a href="#M000069" class="method-signature">
          <span class="method-name">reset_pass</span><span class="method-args">(veid, uname)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000069-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000069-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/nucleus.rb, line 16</span>
16:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">reset_pass</span>(<span class="ruby-identifier">veid</span>, <span class="ruby-identifier">uname</span>)
17: 
18:       <span class="ruby-identifier">upass</span> = <span class="ruby-constant">PasswordGen</span>.<span class="ruby-identifier">generate_pronounceable</span>(<span class="ruby-value">4</span>)
19:  
20:       <span class="ruby-identifier">cmd</span> = <span class="ruby-node">&quot;#{VZTOOLS_PATH}/vzctl set #{veid} &quot;</span> <span class="ruby-operator">+</span>
21:         <span class="ruby-node">&quot;--userpassw #{uname}:#{upass}&quot;</span>
22:       
23:       <span class="ruby-node">`#{cmd}`</span>
24:      
25:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">upass</span>
26:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000070" class="method-detail">
        <a name="M000070"></a>

        <div class="method-heading">
          <a href="#M000070" class="method-signature">
          <span class="method-name">start</span><span class="method-args">(veid)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000070-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000070-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/nucleus.rb, line 28</span>
28:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">start</span>(<span class="ruby-identifier">veid</span>)
29:   
30:     <span class="ruby-identifier">job_key</span> = 
31:       <span class="ruby-constant">MiddleMan</span>.<span class="ruby-identifier">new_worker</span>(<span class="ruby-identifier">:class</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:start_worker</span>, 
32:                            <span class="ruby-identifier">:args</span> =<span class="ruby-operator">&gt;</span> {<span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">veid</span>})
33:     
34:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">job_key</span>
35:     
36:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000071" class="method-detail">
        <a name="M000071"></a>

        <div class="method-heading">
          <a href="#M000071" class="method-signature">
          <span class="method-name">stop</span><span class="method-args">(veid)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000071-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000071-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/nucleus.rb, line 38</span>
38:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">stop</span>(<span class="ruby-identifier">veid</span>)
39:         
40:     <span class="ruby-identifier">job_key</span> = 
41:        <span class="ruby-constant">MiddleMan</span>.<span class="ruby-identifier">new_worker</span>(<span class="ruby-identifier">:class</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:stop_worker</span>, 
42:                             <span class="ruby-identifier">:args</span> =<span class="ruby-operator">&gt;</span> {<span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">veid</span>})
43:     
44:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">job_key</span>
45:     
46:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>